package com.chinaitop.depot.intelligent.ventilation.mapper;

import com.chinaitop.depot.intelligent.ventilation.model.BusinessApproval;
import com.chinaitop.depot.intelligent.ventilation.model.BusinessApprovalExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface BusinessApprovalMapper {
    int countByExample(BusinessApprovalExample example);

    int deleteByExample(BusinessApprovalExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessApproval record);

    int insertSelective(BusinessApproval record);

    List<BusinessApproval> selectByExample(BusinessApprovalExample example);

    BusinessApproval selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessApproval record, @Param("example") BusinessApprovalExample example);

    int updateByExample(@Param("record") BusinessApproval record, @Param("example") BusinessApprovalExample example);

    int updateByPrimaryKeySelective(BusinessApproval record);

    int updateByPrimaryKey(BusinessApproval record);
}